Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface ExecuteQueueMBean

public interface ExecuteQueueMBean
extends ConfigurationMBean

This bean is used to configure an execute queue and its associated thread pool.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`
`static java.lang.String` | `DEFAULT_QUEUE_NAME` The name of the default execute queue.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`int` | `getQueueLength()` Returns the maximum length of this queue.
`int` | `getQueueLengthThresholdPercent()` Returns the threshold percent for length of this queue, set in QueueLength.
`int` | `getThreadCount()` The number of threads that this execute queue can currently have.
`int` | `getThreadsIncrease()` Returns the number of threads to grow when a queue is within QueueLengthThresholdPercent of the set QueueLength.
`int` | `getThreadsMaximum()` The maximum number of threads this execute queue can have.
`void` | `setQueueLength(int value)` Sets the queueLength attribute of the ExecuteQueueMBean object
`void` | `setThreadCount(int value)` Sets the threadCount attribute of the ExecuteQueueMBean object
`void` | `setThreadPriority(int value)` Sets the threadPriority attribute of the ExecuteQueueMBean object
`void` | `setThreadsIncrease(int value)`
`void` | `setThreadsMaximum(int value)`
`void` | `setThreadsMinimum(int value)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

### DEFAULT_QUEUE_NAME

    public static final java.lang.String DEFAULT_QUEUE_NAME

  The name of the default execute queue. getName() on the ExecuteQueueMBean which represents the default execute queue will return this name.

Method Detail

### getQueueLength

    public int getQueueLength()

  Returns the maximum length of this queue.

  Default Value: 65536
  Legal Minimum Value: 256
  Legal Maximum Value: 1073741824
  Returns:
    The queueLength value

### setQueueLength

    public void setQueueLength(int value)
                        throws javax.management.InvalidAttributeValueException

  Sets the queueLength attribute of the ExecuteQueueMBean object

  Parameters:
    `value` - The new queueLength value
  Throws:
    javax.management.InvalidAttributeValueException -

### setThreadPriority

    public void setThreadPriority(int value)
                           throws javax.management.InvalidAttributeValueException

  Sets the threadPriority attribute of the ExecuteQueueMBean object

  Parameters:
    `value` - The new threadPriority value
  Throws:
    javax.management.InvalidAttributeValueException -

### getThreadCount

    public int getThreadCount()

  The number of threads that this execute queue can currently have.

  Default Value: ServerLegalHelper.DEFAULT_THREAD_POOL_SIZE
  Production Mode Default Value: ServerLegalHelper.PRODUCTION_MODE_THREAD_POOL_SIZE
  Legal Minimum Value: 0
  Legal Maximum Value: 65536
  Returns:
    The threadCount value

### setThreadCount

    public void setThreadCount(int value)
                        throws javax.management.InvalidAttributeValueException

  Sets the threadCount attribute of the ExecuteQueueMBean object

  Parameters:
    `value` - The new threadCount value
  Throws:
    javax.management.InvalidAttributeValueException -

### getQueueLengthThresholdPercent

    public int getQueueLengthThresholdPercent()

  Returns the threshold percent for length of this queue, set in QueueLength.

  Default Value: 90
  Legal Minimum Value: 1
  Legal Maximum Value: 99
  Returns:
    The queueLengthThresholdPercent value

### getThreadsIncrease

    public int getThreadsIncrease()

  Returns the number of threads to grow when a queue is within QueueLengthThresholdPercent of the set QueueLength.

  Default Value: 0
  Legal Minimum Value: 0
  Legal Maximum Value: 65536
  Returns:
    The threadsIncrease value

### setThreadsIncrease

    public void setThreadsIncrease(int value)
                            throws javax.management.InvalidAttributeValueException

  Parameters:
    `value` - The new threadsIncrease value
  Throws:
    javax.management.InvalidAttributeValueException -

### getThreadsMaximum

    public int getThreadsMaximum()

  The maximum number of threads this execute queue can have.

  Default Value: 400
  Legal Minimum Value: 1
  Legal Maximum Value: 65536
  Returns:
    The threadsMaximum value

### setThreadsMaximum

    public void setThreadsMaximum(int value)
                           throws javax.management.InvalidAttributeValueException

  Parameters:
    `value` - The new threadsMaximum value
  Throws:
    javax.management.InvalidAttributeValueException -

### setThreadsMinimum

    public void setThreadsMinimum(int value)
                           throws javax.management.InvalidAttributeValueException

  Parameters:
    `value` - The new threadsMinimum value
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD